org.springframework.web.reactive.function.client

## Interface WebClient.UriSpec<S extends WebClient.RequestHeadersSpec<?>>

Type Parameters:
  `S` - a self reference to the spec type

All Known Subinterfaces:
  WebClient.RequestBodyUriSpec, WebClient.RequestHeadersUriSpec<S>

Enclosing interface:
  WebClient

    public static interface WebClient.UriSpec<S extends WebClient.RequestHeadersSpec<?>>

Contract for specifying the URI for a request.

### Method Summary

All Methods Instance Methods Abstract Methods
`S` `uri(Function<org.springframework.web.util.UriBuilder,URI> uriFunction)` Specify the URI by through a `UriBuilder`.
`S` `uri(String uri, Function<org.springframework.web.util.UriBuilder,URI> uriFunction)` Specify the URI starting with a URI template and finishing off with a `UriBuilder` created from the template.
`S` `uri(String uri, Map<String,?> uriVariables)` Specify the URI for the request using a URI template and URI variables.
`S` `uri(String uri, Object... uriVariables)` Specify the URI for the request using a URI template and URI variables.
`S` `uri(URI uri)` Specify the URI using an absolute, fully constructed `URI`.

### Method Detail

#### uri

    S uri(URI uri)

Specify the URI using an absolute, fully constructed `URI`.

#### uri

    S uri(String uri,
          Object... uriVariables)

Specify the URI for the request using a URI template and URI variables. If a `UriBuilderFactory` was configured for the client (e.g. with a base URI) it will be used to expand the URI template.

#### uri

    S uri(String uri,
          Map<String,?> uriVariables)

Specify the URI for the request using a URI template and URI variables. If a `UriBuilderFactory` was configured for the client (e.g. with a base URI) it will be used to expand the URI template.

#### uri

    S uri(String uri,
          Function<org.springframework.web.util.UriBuilder,URI> uriFunction)

Specify the URI starting with a URI template and finishing off with a `UriBuilder` created from the template.

Since:
  5.2

#### uri

    S uri(Function<org.springframework.web.util.UriBuilder,URI> uriFunction)

Specify the URI by through a `UriBuilder`.

See Also:
  `uri(String, Function)`